### Method

# GcrUi KeyRenderer set_attributes

#### Declaration [src]

    void
    gcr_key_renderer_set_attributes (
      GcrKeyRenderer* self,
      GckAttributes* attrs
    )

#### Description [src]

Get the attributes displayed in the renderer. The attributes should represent either an RSA, DSA, or EC key in PKCS#11 style.

#### Parameters

`attrs`

  Type: `GckAttributes`

  The attributes to display.

  The argument can be `NULL`.
  The data is owned by the caller of the function.